# class ApplicationSyntax |
Full name | `Snmp::ApplicationSyntax`
Definition | `#include <libs/ysnmp/yatesnmp.h>`
Inherits | AsnObject (unknown) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum ApplicationSyntaxType { IPADDRESS_VALUE, COUNTER_VALUE, TIMETICKS_VALUE, ARBITRARY_VALUE, BIG_COUNTER_VALUE, UNSIGNED_INTEGER_VALUE, }

#### Public Methods

- ApplicationSyntax ()
- ApplicationSyntax (void* data, int len)
- ~ApplicationSyntax ()
- int decode (DataBlock& data)
- int encode (DataBlock& data)
- void getParams (NamedList* params)
- void setParams (NamedList* params)

#### Public Members

- static const int s_type
- int m_choiceType
- IpAddress* m_ipAddress_value
- Counter32* m_counter_value
- TimeTicks* m_timeticks_value
- Opaque* m_arbitrary_value
- Counter64* m_big_counter_value
- Unsigned32* m_unsigned_integer_value

## Detailed Description

static const int s_type | ### s_type

enum ApplicationSyntaxType { IPADDRESS_VALUE, COUNTER_VALUE, TIMETICKS_VALUE, ARBITRARY_VALUE, BIG_COUNTER_VALUE, UNSIGNED_INTEGER_VALUE, } | ### ApplicationSyntaxType

int m_choiceType | ### m_choiceType

IpAddress* m_ipAddress_value | ### m_ipAddress_value

Counter32* m_counter_value | ### m_counter_value

TimeTicks* m_timeticks_value | ### m_timeticks_value

Opaque* m_arbitrary_value | ### m_arbitrary_value

Counter64* m_big_counter_value | ### m_big_counter_value

Unsigned32* m_unsigned_integer_value | ### m_unsigned_integer_value

ApplicationSyntax () | ### ApplicationSyntax

ApplicationSyntax (void* data, int len) | ### ApplicationSyntax

~ApplicationSyntax () | ### ~ApplicationSyntax

int decode (DataBlock& data) | ### decode

int encode (DataBlock& data) | ### encode

void getParams (NamedList* params) | ### getParams

void setParams (NamedList* params) | ### setParams

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.